apiVersion: kubevirt.io/v1
kind: VirtualMachineInstanceMigration
metadata:
  annotations:
    kubevirt.io/latest-observed-api-version: v1
    kubevirt.io/storage-observed-api-version: v1
  resourceVersion: '9050772'
  name: centos-stream9-violet-tahr-78-migration-ypnto
  uid: 742016a1-cebc-42b1-922e-53bbafc2926d
  creationTimestamp: '2025-12-16T09:02:34Z'
  generation: 1
  managedFields:
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          .: {}
          'f:vmiName': {}
      manager: Mozilla
      operation: Update
      time: '2025-12-16T09:02:34Z'
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:kubevirt.io/latest-observed-api-version': {}
            'f:kubevirt.io/storage-observed-api-version': {}
      manager: virt-controller
      operation: Update
      time: '2025-12-16T09:02:34Z'
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          .: {}
          'f:migrationState':
            'f:targetPod': {}
            'f:targetNode': {}
            'f:startTimestamp': {}
            'f:targetNodeDomainDetected': {}
            'f:targetNodeAddress': {}
            .: {}
            'f:endTimestamp': {}
            'f:targetDirectMigrationNodePorts':
              .: {}
              'f:33291': {}
              'f:41797': {}
              'f:43377': {}
            'f:sourceNode': {}
            'f:migrationUid': {}
            'f:sourcePod': {}
            'f:completed': {}
            'f:mode': {}
            'f:migrationConfiguration':
              'f:unsafeMigrationOverride': {}
              'f:progressTimeout': {}
              'f:allowAutoConverge': {}
              'f:allowPostCopy': {}
              .: {}
              'f:bandwidthPerMigration': {}
              'f:parallelOutboundMigrationsPerNode': {}
              'f:completionTimeoutPerGiB': {}
              'f:parallelMigrationsPerCluster': {}
              'f:nodeDrainTaintKey': {}
              'f:allowWorkloadDisruption': {}
            'f:targetNodeDomainReadyTimestamp': {}
          'f:phase': {}
          'f:phaseTransitionTimestamps': {}
      manager: virt-controller
      operation: Update
      subresource: status
      time: '2025-12-16T09:03:15Z'
  namespace: default
  labels:
    kubevirt.io/vmi-name: centos-stream9-violet-tahr-78
spec:
  vmiName: centos-stream9-violet-tahr-78
status:
  migrationState:
    targetNodeAddress: 10.131.0.77
    migrationUid: 742016a1-cebc-42b1-922e-53bbafc2926d
    mode: PreCopy
    migrationConfiguration:
      bandwidthPerMigration: '0'
      parallelOutboundMigrationsPerNode: 1
      completionTimeoutPerGiB: 150
      parallelMigrationsPerCluster: 4
      allowWorkloadDisruption: false
      nodeDrainTaintKey: kubevirt.io/drain
      unsafeMigrationOverride: false
      progressTimeout: 150
      allowAutoConverge: false
      allowPostCopy: false
    sourcePod: virt-launcher-centos-stream9-violet-tahr-78-nqpg9
    targetNodeDomainReadyTimestamp: '2025-12-16T09:03:14Z'
    completed: true
    targetNode: uit-421-1209-v22th-worker-0-tnf2r
    startTimestamp: '2025-12-16T09:03:11Z'
    targetPod: virt-launcher-centos-stream9-violet-tahr-78-rd54m
    targetNodeDomainDetected: true
    endTimestamp: '2025-12-16T09:03:14Z'
    targetDirectMigrationNodePorts:
      '33291': 0
      '41797': 49153
      '43377': 49152
    sourceNode: uit-421-1209-v22th-worker-0-kmjvx
  phase: Succeeded
  phaseTransitionTimestamps:
    - phase: Pending
      phaseTransitionTimestamp: '2025-12-16T09:02:34Z'
    - phase: Scheduling
      phaseTransitionTimestamp: '2025-12-16T09:02:37Z'
    - phase: Scheduled
      phaseTransitionTimestamp: '2025-12-16T09:03:11Z'
    - phase: PreparingTarget
      phaseTransitionTimestamp: '2025-12-16T09:03:11Z'
    - phase: TargetReady
      phaseTransitionTimestamp: '2025-12-16T09:03:11Z'
    - phase: Running
      phaseTransitionTimestamp: '2025-12-16T09:03:11Z'
    - phase: Succeeded
      phaseTransitionTimestamp: '2025-12-16T09:03:15Z'
